Summary:        Perl interface to the UNIX syslog(3) calls
Name:           perl-Sys-Syslog
Version:        0.36
Release:        5%{?dist}
License:        GPL+ or Artistic
URL:            https://metacpan.org/release/Sys-Syslog
Source0:        https://cpan.metacpan.org/authors/id/S/SA/SAPER/Sys-Syslog-%{version}.tar.gz

BuildRequires:  coreutils findutils gcc make 
BuildRequires:  glibc-common perl-devel perl-generators 
BuildRequires:  perl-interpreter perl(Config)
BuildRequires:  perl(ExtUtils::Constant) perl(strict)
BuildRequires:  perl(ExtUtils::MakeMaker) >= 6.76
BuildRequires:  perl(File::Copy) perl(File::Spec)
BuildRequires:  perl(Carp) perl(constant) perl(Exporter)
BuildRequires:  perl(Fcntl) perl(File::Basename) perl(POSIX)
BuildRequires:  perl(Socket) perl(vars) perl(warnings)
BuildRequires:  perl(warnings::register) perl(XSLoader)
BuildRequires:  perl(FileHandle) perl(Data::Dumper) perl(Test::More)
Requires:       perl(Fcntl) perl(XSLoader)       

%{?perl_default_filter}

%description
Sys-Syslog is an interface to the UNIX syslog(3) program.Call 
syslog() with a string priority and a list of printf() args
just like syslog(3).

%prep
%autosetup -n Sys-Syslog-%{version}

chmod -x eg/*
rm -rf fallback
perl -i -ne 'print $_ unless m{^fallback/}' MANIFEST

iconv -f ISO-8859-1 -t UTF-8 -o Changes.utf8 Changes
touch -r Changes Changes.utf8
mv Changes.utf8 Changes

%build
perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1 NO_PERLLOCAL=1 OPTIMIZE="$RPM_OPT_FLAGS"
%make_build

%install
%make_install
find %{buildroot} -type f -name '*.bs' -size 0 -delete
%{_fixperms} -c %{buildroot}

%check
make test

%files
%doc Changes eg README 
%{perl_vendorarch}/auto/*
%{perl_vendorarch}/Sys*
%{_mandir}/man3/*

%changelog
* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.36-5
- Rebuilt for OpenCloudOS Stream 23.09

* Thu Aug 17 2023 Xiaojie Chen <jackxjchen@tencent.com> - 0.36-4
- Remove perl(:MODULE_COMPAT) which will be generated by perl-generators >= 1.15

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.36-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.36-2
- Rebuilt for OpenCloudOS Stream 23

* Tue Aug 16 2022 Wang Zhe <bessiewang@tencent.com> - 0.36-1
- initial build
